For the complete documentation index, see llms.txt. This page is also available as Markdown.

BATCH Create SOA amounts

Creates amounts on a SOA.

Items in:

  • create : will be created.

  • update : will be updated.

  • delete: will be deleted.

  • upsert: will create or update if needed.

The response http status is either:

  • 200: all items in request was processed successfully,

  • 207: one or more item was processed with an error.

Required permissions: SOA

post
/tenants/{tenantUid}/soas/batch
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body
Responses
200

Response for SOAAmountBatchRequest. 200: All items in request was processed with no errors 207: One or more items in request returned an error

application/json
post/tenants/{tenantUid}/soas/batch
POST /v2/tenants/{tenantUid}/soas/batch HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 183

{
  "upsert": [
    {
      "storeUid": "text",
      "productUid": "text",
      "amount": 1,
      "fromDateTime": "2026-01-01T00:00:00.000Z",
      "toDateTime": "2026-01-01T00:00:00.000Z",
      "soaAmountUid": "text",
      "soaUid": "text"
    }
  ]
}
{
  "upsert": {
    "errors": [
      {
        "errorCode": "text",
        "message": "text",
        "productUid": "text",
        "storeUid": "text",
        "soaUid": "text",
        "soaAmountUid": "text"
      }
    ],
    "success": 1
  }
}

Last updated

Was this helpful?